<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCurrencyRateResult StructType
 * @subpackage Structs
 */
class GetCurrencyRateResult extends AbstractStructBase
{
    /**
     * The status
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - ref: platformCore:status
     * @var \StructType\Status
     */
    public $status;
    /**
     * The currencyRateList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CurrencyRateList
     */
    public $currencyRateList;
    /**
     * Constructor method for GetCurrencyRateResult
     * @uses GetCurrencyRateResult::setStatus()
     * @uses GetCurrencyRateResult::setCurrencyRateList()
     * @param \StructType\Status $status
     * @param \StructType\CurrencyRateList $currencyRateList
     */
    public function __construct(\StructType\Status $status = null, \StructType\CurrencyRateList $currencyRateList = null)
    {
        $this
            ->setStatus($status)
            ->setCurrencyRateList($currencyRateList);
    }
    /**
     * Get status value
     * @return \StructType\Status
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\Status $status
     * @return \StructType\GetCurrencyRateResult
     */
    public function setStatus(\StructType\Status $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get currencyRateList value
     * @return \StructType\CurrencyRateList|null
     */
    public function getCurrencyRateList()
    {
        return $this->currencyRateList;
    }
    /**
     * Set currencyRateList value
     * @param \StructType\CurrencyRateList $currencyRateList
     * @return \StructType\GetCurrencyRateResult
     */
    public function setCurrencyRateList(\StructType\CurrencyRateList $currencyRateList = null)
    {
        $this->currencyRateList = $currencyRateList;
        return $this;
    }
}
